Name:          xsupplicant
Version:       2.2.0
Release:       1mamba
Summary:       A free, open source 802.1X/WPA/WPA2/IEEE802.11i implementation
Group:         Network/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://open1x.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/open1x/Open1X/XSupplicant%20%{version}/XSupplicant-%{version}-src.tar.gz 
Patch0:        %{name}-1.2.8-configure.patch
Patch1:        %{name}-1.2.8-kernel-2.6.19.patch
Patch2:        xsupplicant-2.2.0-gcc47.patch
Patch3:        xsupplicant-2.2.0-implicit-DSO.patch
Patch4:        xsupplicant-2.2.0-linux_if.patch
Patch5:        xsupplicant-2.2.0-force-release.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libiw-devel
BuildRequires: liblzma-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcsclite-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtnc-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libiw-devel >= 30.pre9-1mamba
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Open1X project is dedicated to bringing a free, open source 802.1X/WPA/WPA2/IEEE802.11i implementation to as many target platforms as possible.

%package -n lib%{name}
Summary:       A free, open source 802.1X/WPA/WPA2/IEEE802.11i implementation
Group:         System/Libraries

%description -n lib%{name}
The Open1X project is dedicated to bringing a free, open source 802.1X/WPA/WPA2/IEEE802.11i implementation to as many target platforms as possible.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      xsupplicant-devel
Obsoletes:     xsupplicant-devel

%description -n lib%{name}-devel
The Open1X project is dedicated to bringing a free, open source 802.1X/WPA/WPA2/IEEE802.11i implementation to as many target platforms as possible.
This package contains static libraries and header files need for development.

%package ui
Summary:       Graphical interface for xsupplicant
Group:         Graphical Desktop/Applications/Networking
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description ui
The Open1X project is dedicated to bringing a free, open source 802.1X/WPA/WPA2/IEEE802.11i implementation to as many target platforms as possible.
This package provides a graphical interface for xsupplicant.

%prep
%setup -q -n XSupplicant-2.2.0-src
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cd xsupplicant
./autoregen.sh
%configure --enable-tnc --enable-eap-fast --enable-eap-sim
%make

cd ../xsupplicant-ui/xsupptray
qmake-qt4 XSupplicantUI-unix.pro
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C xsupplicant

cd xsupplicant-ui
mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -a Skins %{buildroot}%{_datadir}/%{name}/
install -p build-release/XSupplicantUI %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/connect-tool
%{_bindir}/ipcevents
%{_bindir}/ipctest
%{_bindir}/config-parser
%{_bindir}/xsup_ntpwdhash
%{_sbindir}/xsupplicant

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libbirddog.so.*
%{_libdir}/libsoftsim2g.so.*
%{_libdir}/libsoftsim3g.so.*
%doc xsupplicant/AUTHORS xsupplicant/COPYING xsupplicant/LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/libxsupconfcheck.a
%{_libdir}/libxsupconfig.a
%{_libdir}/libbirddog.a
%{_libdir}/libbirddog.la
%{_libdir}/libbirddog.so
%{_libdir}/libsoftsim2g.a
%{_libdir}/libsoftsim2g.la
%{_libdir}/libsoftsim2g.so
%{_libdir}/libsoftsim3g.a
%{_libdir}/libsoftsim3g.la
%{_libdir}/libsoftsim3g.so
%{_libdir}/libxsupgui.a
%{_includedir}/*.h
%doc xsupplicant/README xsupplicant/TODO

%files ui
%defattr(-,root,root)
%{_bindir}/XSupplicantUI
%dir %{_datadir}/xsupplicant
%dir %{_datadir}/xsupplicant/Skins
%dir %{_datadir}/xsupplicant/Skins/Default
%{_datadir}/xsupplicant/Skins/Default/*
%doc xsupplicant-ui/LICENSE

%changelog
* Sun Aug 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- update to 2.2.0

* Sun Aug 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-4mamba
- rebuilt by autoport with build requirements: libiw-devel>=30.pre9-1mamba

* Fri Oct 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-3mamba
- rebuilt against libopenssl 0.9.8

* Mon Jul 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-2mamba
- rebuilt against wireless_tools 29

* Mon Jan 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-1qilnx
- package created by autospec
